Records
Update Record
Updates an existing record’s field values.
PATCH
/
bases
/
{databaseId}
/
tables
/
{tableId}
/
records
/
{recordId}
Update record
curl --request PATCH \
--url https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"record": {
"Email": "john.doe@newcompany.com",
"Priority": "low"
}
}
'import requests
url = "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}"
payload = { "record": {
"Email": "john.doe@newcompany.com",
"Priority": "low"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({record: {Email: 'john.doe@newcompany.com', Priority: 'low'}})
};
fetch('https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'record' => [
'Email' => 'john.doe@newcompany.com',
'Priority' => 'low'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}"
payload := strings.NewReader("{\n \"record\": {\n \"Email\": \"john.doe@newcompany.com\",\n \"Priority\": \"low\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"record\": {\n \"Email\": \"john.doe@newcompany.com\",\n \"Priority\": \"low\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"record\": {\n \"Email\": \"john.doe@newcompany.com\",\n \"Priority\": \"low\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"fwtJyga6dso": "John Doe",
"k8mNp2xQ9rL": "john.doe@newcompany.com",
"vB3zXc7Hf2w": "low"
},
"fields": {
"Name": "John Doe",
"Email": "john.doe@newcompany.com",
"Priority": "low"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachmentErrors": [
{
"fieldId": "<string>",
"fieldName": "<string>",
"url": "<string>",
"error": "<string>",
"recordIndexes": [
123
]
}
],
"attachmentErrorsTruncated": true
}Only provided fields will be updated
Path Parameters
Body
application/json
Response
Record updated successfully
⌘I
Update record
curl --request PATCH \
--url https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"record": {
"Email": "john.doe@newcompany.com",
"Priority": "low"
}
}
'import requests
url = "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}"
payload = { "record": {
"Email": "john.doe@newcompany.com",
"Priority": "low"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({record: {Email: 'john.doe@newcompany.com', Priority: 'low'}})
};
fetch('https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'record' => [
'Email' => 'john.doe@newcompany.com',
'Priority' => 'low'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}"
payload := strings.NewReader("{\n \"record\": {\n \"Email\": \"john.doe@newcompany.com\",\n \"Priority\": \"low\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"record\": {\n \"Email\": \"john.doe@newcompany.com\",\n \"Priority\": \"low\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}/records/{recordId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"record\": {\n \"Email\": \"john.doe@newcompany.com\",\n \"Priority\": \"low\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"fwtJyga6dso": "John Doe",
"k8mNp2xQ9rL": "john.doe@newcompany.com",
"vB3zXc7Hf2w": "low"
},
"fields": {
"Name": "John Doe",
"Email": "john.doe@newcompany.com",
"Priority": "low"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachmentErrors": [
{
"fieldId": "<string>",
"fieldName": "<string>",
"url": "<string>",
"error": "<string>",
"recordIndexes": [
123
]
}
],
"attachmentErrorsTruncated": true
}